{"openapi":"3.0.2","paths":{"/v0/quote/":{"post":{"summary":"List provider quotes","tags":["v0","quotes"],"parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string","minLength":1}}],"operationId":"getQuotes","requestBody":{"description":"Body","content":{"application/json":{"schema":{"type":"object","properties":{"range":{"type":"object","properties":{"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"}},"required":["from","to"]},"pagination":{"type":"object","properties":{"page":{"default":1,"type":"integer","minimum":1,"maximum":9007199254740991},"limit":{"default":10,"type":"integer","minimum":1,"maximum":100}}}}}}}},"responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"number"},"quotes":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"dateCreated":{"type":"string","format":"date-time"},"invoiceId":{"anyOf":[{"type":"string","nullable":true}]},"requestForQuote":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"dateArchived":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"dateOpened":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"urgency":{"anyOf":[{"type":"number","nullable":true}]},"shippingOptionId":{"anyOf":[{"type":"string","nullable":true}]},"notes":{"anyOf":[{"type":"string","nullable":true}]},"user":{"anyOf":[{"type":"object","properties":{"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"}},"required":["email"],"additionalProperties":false,"nullable":true}]}},"required":["id","userId","dateCreated","invoiceId","requestForQuote","dateArchived","dateOpened","urgency","shippingOptionId","notes","user"],"additionalProperties":false}}},"required":["count","quotes"],"additionalProperties":false}}}},"400":{"description":"400","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"401","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"422","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"429","content":{"application/json":{"schema":{"type":"string"}}}},"500":{"description":"500","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/v0/quote/{quote_id}":{"get":{"summary":"Get a single quote","tags":["v0","quotes"],"parameters":[{"name":"quote_id","in":"path","required":true,"schema":{"type":"string","minLength":1}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string","minLength":1}}],"operationId":"getQuote","responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"userId":{"type":"string"},"providerId":{"type":"string"},"dateCreated":{"type":"string","format":"date-time"},"invoiceId":{"anyOf":[{"type":"string","nullable":true}]},"requestForQuote":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"dateArchived":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"dateOpened":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"urgency":{"anyOf":[{"type":"number","nullable":true}]},"shippingOptionId":{"anyOf":[{"type":"string","nullable":true}]},"notes":{"anyOf":[{"type":"string","nullable":true}]},"quoteOrderItems":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"quoteOrderId":{"type":"string"},"s3Key":{"anyOf":[{"type":"string","nullable":true}]},"label":{"anyOf":[{"type":"string","nullable":true}]},"settings":{"anyOf":[{"nullable":true}]},"tech":{"type":"string","enum":["fdm","sla","sls","mjf"]},"material":{"type":"string"},"color":{"type":"string"},"infill":{"type":"string"},"layerThickness":{"type":"string"},"units":{"type":"string"},"qty":{"type":"number"},"price":{"anyOf":[{"type":"number","nullable":true}]},"createdAt":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"upsells":{"anyOf":[{"type":"array","items":{"type":"string"},"nullable":true}]}},"required":["id","quoteOrderId","s3Key","label","settings","tech","material","color","infill","layerThickness","units","qty","price","createdAt","upsells"],"additionalProperties":false}},"user":{"anyOf":[{"type":"object","properties":{"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"}},"required":["email"],"additionalProperties":false,"nullable":true}]}},"required":["id","userId","providerId","dateCreated","invoiceId","requestForQuote","dateArchived","dateOpened","urgency","shippingOptionId","notes","quoteOrderItems","user"],"additionalProperties":false}}}},"400":{"description":"400","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"401","content":{"application/json":{"schema":{"type":"string"}}}},"404":{"description":"404","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"422","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"429","content":{"application/json":{"schema":{"type":"string"}}}},"500":{"description":"500","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/v0/order/":{"post":{"summary":"List provider orders","tags":["v0","orders"],"parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string","minLength":1}}],"operationId":"getOrders","requestBody":{"description":"Body","content":{"application/json":{"schema":{"type":"object","properties":{"range":{"type":"object","properties":{"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"}},"required":["from","to"]},"status":{"type":"array","items":{"type":"string","enum":["paid","delivering","picked_up","completed","cancelled","invoiced","refunded","pending","authorized","printing","printed","expired"]},"description":"The statuses to filter by"},"pagination":{"type":"object","properties":{"page":{"default":1,"type":"integer","minimum":1,"maximum":9007199254740991},"limit":{"default":10,"type":"integer","minimum":1,"maximum":100}}}}}}}},"responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"count":{"type":"number"},"orders":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"quoteId":{"anyOf":[{"type":"string","nullable":true}]},"stripeOrderId":{"type":"string"},"type":{"type":"string","enum":["checkout","invoice"]},"urgency":{"anyOf":[{"type":"string","nullable":true}]},"paymentIntentId":{"anyOf":[{"type":"string","nullable":true}]},"price":{"type":"number"},"userId":{"type":"string"},"dateCreated":{"type":"string","format":"date-time"},"datePaid":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"dateExpires":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"dateArchived":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"status":{"type":"string","enum":["paid","delivering","picked_up","completed","cancelled","invoiced","refunded","pending","authorized","printing","printed","expired"]},"notes":{"anyOf":[{"type":"string","nullable":true}]},"user":{"anyOf":[{"type":"object","properties":{"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"}},"required":["email"],"additionalProperties":false,"nullable":true}]}},"required":["id","quoteId","stripeOrderId","type","urgency","paymentIntentId","price","userId","dateCreated","datePaid","dateExpires","dateArchived","status","notes","user"],"additionalProperties":false}}},"required":["count","orders"],"additionalProperties":false}}}},"400":{"description":"400","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"401","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"422","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"429","content":{"application/json":{"schema":{"type":"string"}}}},"500":{"description":"500","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/v0/order/{order_id}":{"get":{"summary":"Get a single order","tags":["v0","orders"],"parameters":[{"name":"order_id","in":"path","required":true,"schema":{"type":"string","minLength":1}},{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string","minLength":1}}],"operationId":"getOrder","responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string"},"quoteId":{"anyOf":[{"type":"string","nullable":true}]},"stripeOrderId":{"type":"string"},"type":{"type":"string","enum":["checkout","invoice"]},"urgency":{"anyOf":[{"type":"string","nullable":true}]},"paymentIntentId":{"anyOf":[{"type":"string","nullable":true}]},"price":{"type":"number"},"userId":{"type":"string"},"providerId":{"type":"string"},"dateCreated":{"type":"string","format":"date-time"},"datePaid":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"dateExpires":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"dateArchived":{"anyOf":[{"type":"string","format":"date-time","nullable":true}]},"status":{"type":"string","enum":["paid","delivering","picked_up","completed","cancelled","invoiced","refunded","pending","authorized","printing","printed","expired"]},"notes":{"anyOf":[{"type":"string","nullable":true}]},"paidOrderItems":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"stripeProductId":{"type":"string"},"paidOrderId":{"type":"string"},"s3Key":{"anyOf":[{"type":"string","nullable":true}]},"settings":{"anyOf":[{"nullable":true}]},"status":{"type":"string","enum":["pending","printing","printed"]}},"required":["id","stripeProductId","paidOrderId","s3Key","settings","status"],"additionalProperties":false}},"user":{"anyOf":[{"type":"object","properties":{"email":{"type":"string","format":"email","pattern":"^(?!\\.)(?!.*\\.\\.)([A-Za-z0-9_'+\\-\\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\\-]*\\.)+[A-Za-z]{2,}$"}},"required":["email"],"additionalProperties":false,"nullable":true}]}},"required":["id","quoteId","stripeOrderId","type","urgency","paymentIntentId","price","userId","providerId","dateCreated","datePaid","dateExpires","dateArchived","status","notes","paidOrderItems","user"],"additionalProperties":false}}}},"400":{"description":"400","content":{"application/json":{"schema":{"type":"string"}}}},"401":{"description":"401","content":{"application/json":{"schema":{"type":"string"}}}},"404":{"description":"404","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"422","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"429","content":{"application/json":{"schema":{"type":"string"}}}},"500":{"description":"500","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/ping":{"get":{"summary":"Verify API connectivity","tags":[],"parameters":[{"name":"x-api-key","in":"header","required":true,"schema":{"type":"string","minLength":1}}],"operationId":"ping","responses":{"200":{"description":"200","content":{"application/json":{"schema":{"type":"string","enum":["pong"]}}}},"401":{"description":"401","content":{"application/json":{"schema":{"type":"string"}}}},"422":{"description":"422","content":{"application/json":{"schema":{"type":"string"}}}},"429":{"description":"429","content":{"application/json":{"schema":{"type":"string"}}}},"500":{"description":"500","content":{"application/json":{"schema":{"type":"string"}}}}}}}},"info":{"title":"AutoQuote3D API","version":"0.0.1","description":"API for the AutoQuote3D platform"},"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}}}